From dcfcf942d5e4077bf0ab00d2a689e4bf990dbccb Mon Sep 17 00:00:00 2001
From: Upgrade Helper <auh@yoctoproject.org>
Date: Sat, 25 Jul 2026 05:41:43 +0000
Subject: [PATCH] appstream: upgrade 1.1.3 -> 1.1.5

Source: NEWS

Version 1.1.5
~~~~~~~~~~~~~
Released: 2026-07-24

Features:
 * sysinfo: Implement display size detection on macOS

Bugfixes:
 * qt: Add back wrong const Component::addBundle for ABI compatibility
 * qt: Use strndup for C string-list conversion
 * pool: Fix bidirectional wildcard search for modalias provides

Contributors:
 Matthias Klumpp

Version 1.1.4
~~~~~~~~~~~~~
Released: 2026-07-22

Features:
 * sysinfo: Assume a more modern display for the handset chassis template
 * sysinfo: Assume a more modern display for the tablet chassis template
 * sysinfo: Initial code to autodetect the display size on Wayland
 * sysinfo: Handle fractional display scaling via xdg-output
 * Implement support for GCVE as vulnerability database provider
 * qt: Sync enum mirrors with the C library
 * qt: Add Artifact, Checksum, Reference, Review and Agreement wrappers
 * qt: Wrap missing C API on existing classes
 * reviews: Add simple interface to fetch ODRS reviews for a component
 * reviews: Implement support for submitting reviews

Specification:
 * docs: Suggest using the longest display side for maximum size constraints

Bugfixes:
 * Make GResources we need outlive main thread destruction
 * pool: Properly implement cancellation of load operations
 * sysinfo: Fix display-length setter overriding the shortest edge
 * relation-check: Don't zero the score if a required check errored
 * curl: Harden downloader by restricting protocols to only HTTP(S)
 * curl: Allow making POST requests and changing the user agent
 * curl: Fix retry-loop data corruption and don't blindly retry POST requests
 * yaml: Fix potential crashes when encountering missing relation entry values
 * yaml: Adjust tests and emitter to work around libfyaml string-quoting change
 * yaml: Ensure version relations are consistently quoted
 * qt: Fix buffer overrun in stringListToCharArray

Miscellaneous:
 * ci: freebsd: Switch from Cirrus to GitHub Actions
 * ci: Update Ubuntu LTS to 26.04

Contributors:
 Gleb Popov, Matthias Klumpp
---
 .../appstream/appstream/0001-remove-hardcoded-path.patch    | 6 +++---
 .../appstream/appstream/0002-Do-not-build-qt-tests.patch    | 6 +++---
 ...x-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch | 2 +-
 .../appstream/{appstream_1.1.3.bb => appstream_1.1.5.bb}    | 2 +-
 4 files changed, 8 insertions(+), 8 deletions(-)
 rename meta/recipes-support/appstream/{appstream_1.1.3.bb => appstream_1.1.5.bb} (94%)

diff --git a/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch b/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch
index 56a5479099..d72bd73d85 100644
--- a/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch
+++ b/meta/recipes-support/appstream/appstream/0001-remove-hardcoded-path.patch
@@ -1,4 +1,4 @@
-From bf79c20cfee4a074ca752a1466dc96d0b9eb6175 Mon Sep 17 00:00:00 2001
+From 8cf2785a4ac93c07c1dbd3a16a507e942d469aa4 Mon Sep 17 00:00:00 2001
 From: Markus Volk <f_l_k@t-online.de>
 Date: Mon, 12 Dec 2022 15:42:42 +0100
 Subject: [PATCH] remove hardcoded path
@@ -14,10 +14,10 @@ Upstream-Status: Inappropriate [oe-specific]
  1 file changed, 2 insertions(+), 2 deletions(-)
 
 diff --git a/meson.build b/meson.build
-index 9af5f58..ad1483d 100644
+index 4c3ccf2..62b9838 100644
 --- a/meson.build
 +++ b/meson.build
-@@ -194,10 +194,10 @@ endif
+@@ -227,10 +227,10 @@ endif
  stemmer_inc_dirs = include_directories()
  if get_option('stemming')
      stemmer_lib = cc.find_library('stemmer', required: true)
diff --git a/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch b/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch
index 3e666181eb..7a12a78dd1 100644
--- a/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch
+++ b/meta/recipes-support/appstream/appstream/0002-Do-not-build-qt-tests.patch
@@ -1,4 +1,4 @@
-From 1a1619dce3c3fa54fa5f47f7ed89447e0805de43 Mon Sep 17 00:00:00 2001
+From 443b575a6444e76fdbd6a6ff9d0d3e378b6a96a2 Mon Sep 17 00:00:00 2001
 From: Marc Ferland <marc.ferland@sonatest.com>
 Date: Fri, 26 Jul 2024 15:41:00 -0400
 Subject: [PATCH] Do not build qt/tests
@@ -23,10 +23,10 @@ Signed-off-by: Marc Ferland <marc.ferland@sonatest.com>
  1 file changed, 2 deletions(-)
 
 diff --git a/qt/meson.build b/qt/meson.build
-index 407a57a..840c838 100644
+index 488fe60..83c2715 100644
 --- a/qt/meson.build
 +++ b/qt/meson.build
-@@ -130,5 +130,3 @@ install_data (
+@@ -144,5 +144,3 @@ install_data (
      join_paths(meson.current_build_dir(), 'AppStreamQtConfigVersion.cmake'),
      install_dir: join_paths(get_option('libdir'), 'cmake', 'AppStreamQt')
  )
diff --git a/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch b/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch
index 8ba4de95c9..7b533a31bc 100644
--- a/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch
+++ b/meta/recipes-support/appstream/appstream/0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch
@@ -1,4 +1,4 @@
-From 4fdd29346b51eea577ee46c7166348dad19bbcb0 Mon Sep 17 00:00:00 2001
+From 6bda946d63af196169d8b81ee5cf81c3df7f891a Mon Sep 17 00:00:00 2001
 From: Marc Ferland <marc.ferland@sonatest.com>
 Date: Mon, 29 Jul 2024 09:35:51 -0400
 Subject: [PATCH] Fix PACKAGE_PREFIX_DIR in qt/cmake/AppStreamQtConfig.cmake.in
diff --git a/meta/recipes-support/appstream/appstream_1.1.3.bb b/meta/recipes-support/appstream/appstream_1.1.5.bb
similarity index 94%
rename from meta/recipes-support/appstream/appstream_1.1.3.bb
rename to meta/recipes-support/appstream/appstream_1.1.5.bb
index 06e4f7940a..ccf627a478 100644
--- a/meta/recipes-support/appstream/appstream_1.1.3.bb
+++ b/meta/recipes-support/appstream/appstream_1.1.5.bb
@@ -24,7 +24,7 @@ SRC_URI = " \
 	file://0002-Do-not-build-qt-tests.patch \
 	file://0003-Fix-PACKAGE_PREFIX_DIR-in-qt-cmake-AppStreamQtConfig.patch \
 "
-SRC_URI[sha256sum] = "2624f967068427edc94f3979edae3571bb077063f5bc231f737776da527bf467"
+SRC_URI[sha256sum] = "fc57337e250b0d27e75ac4216cc69a76d03c54011a5da5c7a2c57711a3d0cdf9"
 
 S = "${UNPACKDIR}/AppStream-${PV}"
 
-- 
2.47.1

